//
//  TCHError.h
//  Twilio Conversations Client
//
//  Copyright (c) Twilio, Inc. All rights reserved.
//

#import <Foundation/Foundation.h>

/** Twilio Conversations error object 
 
 TCHError is a descendent of NSError.  The Conversations Client will populate the following properties for most errors:
 
 - domain - Will be equivalent to the constant pointed to by TCHErrorDomain
 - code - Will be a numeric code indicating the failure or TCHErrorGeneric for errors generated by the client locally
 - userInfo[TCHErrorMsgKey] - May contain an optional string representation of the error with more detail if available
 */
__attribute__((visibility("default")))
@interface TCHError : NSError

@end
